<?php

/**
 * Active Callbacks
 *
 * @package Rising News
 */

// Theme Options.
function rising_news_is_pagination_enabled( $control ) {
	return ( $control->manager->get_setting( 'rising_news_enable_pagination' )->value() );
}
function rising_news_is_breadcrumb_enabled( $control ) {
	return ( $control->manager->get_setting( 'rising_news_enable_breadcrumb' )->value() );
}

// Flash News Section.
function rising_news_is_flash_news_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'rising_news_enable_flash_news_section' )->value() );
}
function rising_news_is_flash_news_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'rising_news_flash_news_content_type' )->value();
	return ( rising_news_is_flash_news_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function rising_news_is_flash_news_section_and_content_type_category_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'rising_news_flash_news_content_type' )->value();
	return ( rising_news_is_flash_news_section_enabled( $control ) && ( 'category' === $content_type ) );
}

// Banner Section.
function rising_news_is_banner_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'rising_news_enable_banner_section' )->value() );
}

// Banner Section - Main Banner.
function rising_news_is_main_news_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'rising_news_main_news_content_type' )->value();
	return ( rising_news_is_banner_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function rising_news_is_main_news_section_and_content_type_category_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'rising_news_main_news_content_type' )->value();
	return ( rising_news_is_banner_section_enabled( $control ) && ( 'category' === $content_type ) );
}

// Banner Section - Featured News.
function rising_news_is_featured_news_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'rising_news_featured_news_content_type' )->value();
	return ( rising_news_is_banner_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function rising_news_is_featured_news_section_and_content_type_category_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'rising_news_featured_news_content_type' )->value();
	return ( rising_news_is_banner_section_enabled( $control ) && ( 'category' === $content_type ) );
}

// Grid Section.
function rising_news_is_grid_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'rising_news_enable_grid_section' )->value() );
}
function rising_news_is_grid_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'rising_news_grid_content_type' )->value();
	return ( rising_news_is_grid_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function rising_news_is_grid_section_and_content_type_category_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'rising_news_grid_content_type' )->value();
	return ( rising_news_is_grid_section_enabled( $control ) && ( 'category' === $content_type ) );
}

// Check if static home page is enabled.
function rising_news_is_static_homepage_enabled( $control ) {
	return ( 'page' === $control->manager->get_setting( 'show_on_front' )->value() );
}
